Package org.pentaho.reporting.libraries.formula.function

# Class DefaultFunctionDescription

java.lang.Object
org.pentaho.reporting.libraries.formula.function.DefaultFunctionDescription

All Implemented Interfaces:
  `Serializable`, `FunctionDescription`

public class DefaultFunctionDescription extends Object implements FunctionDescription
Creation-Date: 05.11.2006, 15:13:03

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DefaultFunctionDescription(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCanonicalName()`
`FunctionCategory`
`getCategory()`
`Object`
`getDefaultValue(int position)`
Returns the default value for an optional parameter.
`String`
`getDescription(Locale locale)`
`String`
`getDisplayName(Locale locale)`
`int`
`getParameterCount()`
`String`
`getParameterDescription(int position, Locale locale)`
`String`
`getParameterDisplayName(int position, Locale locale)`
`Type`
`getParameterType(int position)`
Returns the parameter type at the given position using the function metadata.
`Type`
`getValueType()`
`boolean`
`isInfiniteParameterCount()`
`boolean`
`isParameterMandatory(int position)`
Defines, whether the parameter at the given position is mandatory.
`boolean`
`isVolatile()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultFunctionDescription

public DefaultFunctionDescription(String name)

## Method Details

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `FunctionDescription`

### getValueType

public Type getValueType()

Specified by:
  `getValueType` in interface `FunctionDescription`

### getCategory

public FunctionCategory getCategory()

Specified by:
  `getCategory` in interface `FunctionDescription`

### getParameterCount

public int getParameterCount()

Specified by:
  `getParameterCount` in interface `FunctionDescription`

### getParameterType

public Type getParameterType(int position)
Description copied from interface: `FunctionDescription`
Returns the parameter type at the given position using the function metadata. The first parameter is at the position 0;

Specified by:
  `getParameterType` in interface `FunctionDescription`
Parameters:
  `position` - The parameter index.
Returns:
  The parameter type.

### isParameterMandatory

public boolean isParameterMandatory(int position)
Defines, whether the parameter at the given position is mandatory. A mandatory parameter must be filled in, while optional parameters need not to be filled in.

Specified by:
  `isParameterMandatory` in interface `FunctionDescription`
Returns:

### getDisplayName

public String getDisplayName(Locale locale)

Specified by:
  `getDisplayName` in interface `FunctionDescription`

### getDescription

public String getDescription(Locale locale)

Specified by:
  `getDescription` in interface `FunctionDescription`

### isVolatile

public boolean isVolatile()

Specified by:
  `isVolatile` in interface `FunctionDescription`

### isInfiniteParameterCount

public boolean isInfiniteParameterCount()

Specified by:
  `isInfiniteParameterCount` in interface `FunctionDescription`

### getParameterDisplayName

public String getParameterDisplayName(int position, Locale locale)

Specified by:
  `getParameterDisplayName` in interface `FunctionDescription`

### getParameterDescription

public String getParameterDescription(int position, Locale locale)

Specified by:
  `getParameterDescription` in interface `FunctionDescription`

### getDefaultValue

public Object getDefaultValue(int position)
Returns the default value for an optional parameter. If the value returned here is null, then this either means, that the parameter is mandatory or that the default value is computed by the expression itself.

Specified by:
  `getDefaultValue` in interface `FunctionDescription`
Parameters:
  `position` -
Returns: